%global major_version %%(echo %{version} | cut -d. -f1)
%global minor_version %%(echo %{version} | cut -d. -f2)

%global apiver 2.91
%global fribidi_version 1.0.0
%global glib2_version 2.52.0
%global gnutls_version 3.2.7
%global gtk3_version 3.24.22
%global gtk4_version 4.0.1
%global icu_uc_version 4.8
%global libsystemd_version 220
%global pango_version 1.22.0
%global pcre2_version 10.21

Summary:        GTK+ 3 terminal emulator library
Name:           vte291
Version:        0.73.93
Release:        2%{?dist}
License:        LGPLv3+ and MIT
URL:            https://wiki.gnome.org/Apps/Terminal/VTE
Source0:        https://download.gnome.org/sources/vte/%{major_version}.%{minor_version}/vte-%{version}.tar.xz
# https://bugzilla.gnome.org/show_bug.cgi?id=711059
Patch0000:      vte291-cntnr-precmd-preexec-scroll.patch

BuildRequires:  meson gcc-c++ gettext
BuildRequires:  vala gobject-introspection-devel gperf
BuildRequires:  systemd-rpm-macros
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(fribidi) >= %{fribidi_version}
BuildRequires:  pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gnutls) >= %{gnutls_version}
BuildRequires:  pkgconfig(gobject-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires:  pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:  pkgconfig(icu-uc) >= %{icu_uc_version}
BuildRequires:  pkgconfig(libpcre2-8) >= %{pcre2_version}
BuildRequires:  pkgconfig(libsystemd) >= %{libsystemd_version}
BuildRequires:  pkgconfig(pango) >= %{pango_version}

Requires:       fribidi >= %{fribidi_version}
Requires:       glib2 >= %{glib2_version}
Requires:       gnutls >= %{gnutls_version}
Requires:       gtk3 >= %{gtk3_version}
Requires:       libicu >= %{icu_uc_version}
Requires:       pango >= %{pango_version}
Requires:       pcre2 >= %{pcre2_version}
Requires:       systemd-libs >= %{libsystemd_version}
Requires:       vte-profile
Conflicts:      gnome-terminal < 3.20.1-2

%description
VTE is a library implementing a terminal emulator widget for GTK+. VTE
is mainly used in gnome-terminal, but can also be used to embed a
console/terminal in games, editors, IDEs, etc.


%package        gtk4
Summary:        GTK4 terminal emulator library
License:        LGPLv3+ and MIT
Requires:       %{name} = %{version}-%{release}

%description gtk4
VTE is a library implementing a terminal emulator widget for GTK 4. VTE
is mainly used in gnome-terminal, but can also be used to embed a
console/terminal in games, editors, IDEs, etc.


%package        devel
Summary:        Development files for GTK+ 3 %{name}
License:        GPLv3+ and LGPLv3+
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing GTK+ 3 applications that use %{name}.


%package        gtk4-devel
Summary:        Development files for GTK 4 %{name}
License:        GPLv3+ and LGPLv3+
Requires:       %{name}-gtk4 = %{version}-%{release}
Requires:       %{name}-devel = %{version}-%{release}

%description gtk4-devel
The %{name}-gtk4-devel package contains libraries and header files for
developing GTK 4 applications that use %{name}.


%package -n     vte-profile
Summary:        Profile script for VTE terminal emulator library
License:        GPLv3+

%description -n vte-profile
The vte-profile package contains a profile.d script for the VTE terminal
emulator library.


%prep
%autosetup -p1 -n vte-%{version}


%build
%meson --buildtype=plain -Ddocs=false -Dgtk3=true -Dgtk4=true
%meson_build


%install
%meson_install
%find_lang vte-%{apiver}


%files -f vte-%{apiver}.lang
%license COPYING.LGPL3 COPYING.XTERM
%doc README.md
%{_libdir}/libvte-%{apiver}.so.0*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Vte-2.91.typelib
%{_userunitdir}/vte-spawn-.scope.d


%files gtk4
%{_libdir}/libvte-%{apiver}-gtk4.so.0*
%{_libdir}/girepository-1.0/Vte-3.91.typelib


%files devel
%license COPYING.GPL3
%{_bindir}/vte-%{apiver}
%{_includedir}/vte-%{apiver}/
%{_libdir}/libvte-%{apiver}.so
%{_libdir}/pkgconfig/vte-%{apiver}.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Vte-2.91.gir
%{_datadir}/glade/
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/vte-2.91.deps
%{_datadir}/vala/vapi/vte-2.91.vapi


%files gtk4-devel
%{_bindir}/vte-%{apiver}-gtk4
%{_includedir}/vte-%{apiver}-gtk4/
%{_libdir}/libvte-%{apiver}-gtk4.so
%{_libdir}/pkgconfig/vte-%{apiver}-gtk4.pc
%{_datadir}/gir-1.0/Vte-3.91.gir
%{_datadir}/vala/vapi/vte-2.91-gtk4.deps
%{_datadir}/vala/vapi/vte-2.91-gtk4.vapi


%files -n vte-profile
%license COPYING.GPL3
%{_libexecdir}/vte-urlencode-cwd
%{_sysconfdir}/profile.d/vte.csh
%{_sysconfdir}/profile.d/vte.sh


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.73.93-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 24 2023 Miaojun Dong <zoedong@tencent.com> - 0.73.93-1
- Bump version to 0.73.93

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.70.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.70.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 15 2022 rockerzhu <rockerzhu@tencent.com> - 0.70.1-1
- Initial build
